module FriendlyScore
  module Endpoints
    class UserPositive < Base
      def process_response body
        nil
      end

      def api_path
        "api/user/positive"
      end

      def validate id, positive
        unless [0, 1].include? positive
          raise ValidationError.new "Argument 'positive' should be 0 or 1."
        end
      end

      private

      def request_params id, positive
        {
          "id" => id,
          "positive" => positive
        }
      end
    end
  end
end
