module FriendlyScore
  class User
    def initialize attributes
      @attributes = attributes
    end

    def attributes
      @attributes
    end

    # Id
    #
    # @return [Integer] users id
    def id
      @attributes["id"]
    end

    # Name
    #
    # @return [String] users name
    def name
      @attributes["name"]
    end

    # Address
    #
    # @return [String] address
    def address
      @attributes["address"]
    end

    # Age of the user
    #
    # @return [Integer] age of the user
    def age
      @attributes["age"].to_i
    end

    # City name
    #
    # @return [String] city name
    def city_name
      @attributes["city_name"]
    end

    # City population
    #
    # @return [String] city population
    def city_population_50k
      @attributes["city_population_50k"]
    end

    # Contact bank in 90 days
    #
    # @return [String] contact bank in 90 days
    def contact_bank_in_90_days
      @attributes["contact_bank_in_90_days"]
    end

    # Education best find
    #
    # @return [String] education best find
    def education_best_find
      @attributes["education_best_find"]
    end

    # Education average
    #
    # @return [String] education average
    def education_average
      @attributes["education_average"]
    end

    # Educations
    #
    # @return [String] educations
    def educations
      @attributes["educations"]
    end

    # Email
    #
    # @return [String] email
    def email
      @attributes["email"]
    end

    # Family
    #
    # @return [String] family
    def family
      @attributes["family"]
    end

    # Number of family members at home
    #
    # @return [Integer] number of family members at home
    def family_members_in_home
      @attributes["family_members_in_home"].to_i
    end

    # Friendly score
    #
    # @return [Integer] friendly score
    def friendlyscore
      @attributes["friendlyscore"]
    end

    # Facebook id
    #
    # @return [String] facebook id
    def facebook_id
      @attributes["facebook_id"]
    end

    # Gender of the user
    #
    # @return [Symbol] :male or :female
    def gender
      @attributes["gender"] == "male" ? :male : :female
    end

    # Number of kids
    #
    # @return [Integer] number of kids
    def has_kids
      @attributes["kids"].to_i
    end

    # Relationship
    #
    # @return [Boolean] true if user is in relationship, false if not
    def in_relationship?
      @attributes["in_relationship"] == "In a relationship"
    end

    # Is lead
    #
    # @return [Boolean] true if is lead, false in other case, nil if not set
    def lead?
      return nil unless @attributes["is_lead"]
      @attributes["is_lead"].to_i == 1
    end

    # Is user set as positive
    #
    # @return [Boolean] true if user is positive, false if not, nil if not set
    def positive?
      return nil unless @attributes["is_positive"]
      @attributes["is_positive"].to_i == 1
    end

    # Is working
    #
    # @return [Boolean] true if user is working, false if not, nil if not set
    def working?
      return nil unless @attributes["is_working"]
      @attributes["is_working"].to_i == 1
    end

    # Loan amount
    #
    # @return [Integer] loan amount
    def loan_amount
      @attributes["loan_amount"]
    end

    # Loan currency
    #
    # @return [String] loan currency
    def loan_currency
      @attributes["loan_currency"]
    end

    # Loan description
    #
    # @return [String] loan description
    def loan_description
      @attributes["loan_description"]
    end

    # Loan duration
    #
    # @return [Integer] loan duration
    def loan_duration_in_days
      @attributes["loan_duration_in_days"]
    end

    # Mobile
    #
    # @return [String] mobile
    def mobile
      @attributes["mobile"]
    end

    # ScoreyourselfMobile
    #
    # @return [String] score yourself mobile
    def scoreyourself_mobile
      @attributes["scoreyourself_mobile"]
    end

    # Skills
    #
    # @return [String] skills
    def skills
      @attributes["skills"]
    end

    # Status of the user
    #
    # @return [Integer] status of the user
    def status
      @attributes["status"].to_i
    end

    # Status description
    #
    # @return [String] status description
    def status_description
      @attributes["status_description"]
    end
  end
end
